The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> toascii - translate an integer to a 7-bit ASCII character

#### SYNOPSIS

> ``[OB XSI] #include <ctype.h>
> int toascii(int` c`);``
> `
> `

#### DESCRIPTION

> The toascii() function shall convert its argument into a 7-bit ASCII character.

#### RETURN VALUE

> The toascii() function shall return the value (c &0x7f).

#### ERRORS

> No errors are returned.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The toascii() function cannot be used portably in a localized application.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> The toascii() function may be removed in a future version.

#### SEE ALSO

> isascii

> XBD <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 7

> The toascii() function is marked obsolescent.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]